# FilterEntryDialog Class Reference

`#include <filterentrydialog.h>`

Inheritance diagram for FilterEntryDialog:

List of all members.

## Public Slots

virtual void | slotOk ()
virtual void | slotItem1Selected (int)
virtual void | slotItem2Selected (int)
virtual void | slotSecondCondition (int)
virtual void | slotCondition1Selected (int)
virtual void | slotCondition2Selected (int)
virtual void | slotMatch1Changed (const TQString &)
virtual void | slotMatch2Changed (const TQString &)
virtual void | slotResetCounter ()
virtual void | slotCounterChanged (int)
virtual void | slotEditRegExp1 ()
virtual void | slotEditRegExp2 ()
virtual void | slotToggleRegExp1 (bool)
virtual void | slotToggleRegExp2 (bool)

## Public Member Functions

| FilterEntryDialog (TQWidget *parent, const char *name, FilterElem *elem)
| ~FilterEntryDialog ()

## Private Attributes

FilterElem * | _elem

## Detailed Description

Author:
  Eggert Ehmke

Definition at line 29 of file filterentrydialog.h.

The documentation for this class was generated from the following files:

- kshowmail/filterentrydialog.h
- kshowmail/filterentrydialog.cpp